<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: OpenableBehaviour Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d4b/class_openable_behaviour.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">OpenableBehaviour Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7757444eff1f487b67eddf3a4ecc07fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d4b/class_openable_behaviour.html#a7757444eff1f487b67eddf3a4ecc07fd">OpenableBehaviour</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> bState=true)</td></tr>
<tr class="separator:a7757444eff1f487b67eddf3a4ecc07fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af16b1caa1c9ab6578a21b015f09bde82"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d4b/class_openable_behaviour.html#af16b1caa1c9ab6578a21b015f09bde82">Open</a> ()</td></tr>
<tr class="separator:af16b1caa1c9ab6578a21b015f09bde82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13fcdce73dd0d787c2bdfc7ccbb5f89e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d4b/class_openable_behaviour.html#a13fcdce73dd0d787c2bdfc7ccbb5f89e">Close</a> ()</td></tr>
<tr class="separator:a13fcdce73dd0d787c2bdfc7ccbb5f89e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a856d10af54c2557171cf4fecdcc07653"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d4b/class_openable_behaviour.html#a856d10af54c2557171cf4fecdcc07653">IsOpened</a> ()</td></tr>
<tr class="separator:a856d10af54c2557171cf4fecdcc07653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48a219c7e35a19d4a11069483ac07516"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d4b/class_openable_behaviour.html#a48a219c7e35a19d4a11069483ac07516">SetState</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> bState)</td></tr>
<tr class="separator:a48a219c7e35a19d4a11069483ac07516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12682588d873b45264f4d595f81228b9"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d4b/class_openable_behaviour.html#a12682588d873b45264f4d595f81228b9">GetState</a> ()</td></tr>
<tr class="separator:a12682588d873b45264f4d595f81228b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a3b84b30f1025f674021a4c1bf81c55f5"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d4b/class_openable_behaviour.html#a3b84b30f1025f674021a4c1bf81c55f5">m_IsOpened</a></td></tr>
<tr class="separator:a3b84b30f1025f674021a4c1bf81c55f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00001">1</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7757444eff1f487b67eddf3a4ecc07fd" name="a7757444eff1f487b67eddf3a4ecc07fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7757444eff1f487b67eddf3a4ecc07fd">&#9670;&#160;</a></span>OpenableBehaviour()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenableBehaviour::OpenableBehaviour </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>bState</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >initial value</p>

<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00005">5</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a13fcdce73dd0d787c2bdfc7ccbb5f89e" name="a13fcdce73dd0d787c2bdfc7ccbb5f89e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13fcdce73dd0d787c2bdfc7ccbb5f89e">&#9670;&#160;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenableBehaviour::Close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00015">15</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>

</div>
</div>
<a id="a12682588d873b45264f4d595f81228b9" name="a12682588d873b45264f4d595f81228b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12682588d873b45264f4d595f81228b9">&#9670;&#160;</a></span>GetState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> OpenableBehaviour::GetState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00030">30</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>

</div>
</div>
<a id="a856d10af54c2557171cf4fecdcc07653" name="a856d10af54c2557171cf4fecdcc07653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a856d10af54c2557171cf4fecdcc07653">&#9670;&#160;</a></span>IsOpened()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> OpenableBehaviour::IsOpened </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00020">20</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>

</div>
</div>
<a id="af16b1caa1c9ab6578a21b015f09bde82" name="af16b1caa1c9ab6578a21b015f09bde82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af16b1caa1c9ab6578a21b015f09bde82">&#9670;&#160;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenableBehaviour::Open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00010">10</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>

</div>
</div>
<a id="a48a219c7e35a19d4a11069483ac07516" name="a48a219c7e35a19d4a11069483ac07516"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48a219c7e35a19d4a11069483ac07516">&#9670;&#160;</a></span>SetState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void OpenableBehaviour::SetState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>bState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00025">25</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a3b84b30f1025f674021a4c1bf81c55f5" name="a3b84b30f1025f674021a4c1bf81c55f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b84b30f1025f674021a4c1bf81c55f5">&#9670;&#160;</a></span>m_IsOpened</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> OpenableBehaviour::m_IsOpened</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html#l00003">3</a> of file <a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../da/df0/_openable_behaviour_8c_source.html">OpenableBehaviour.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
